
mc=fscanfMat('../MC.dat');
lhs=fscanfMat('../LHS.dat');
qmc=fscanfMat('../QMC.dat');

xset('window', 0), xbasc(), xset("wdim",1000,800);

nbin = 40;

subplot(3,5,1), xtitle('Monte Carlo : Loi Normale')
histplot(nbin,mc(:,1),normalization=%f)
subplot(3,5,2), xtitle('Monte Carlo : Loi Uniforme')
histplot(nbin,mc(:,2),normalization=%f)
subplot(3,5,3), xtitle('Monte Carlo : Loi Exponentielle')
histplot(nbin,mc(:,3),normalization=%f)
subplot(3,5,4), xtitle('Monte Carlo : Loi Log Normale')
histplot(nbin,mc(:,4),normalization=%f)
subplot(3,5,5), xtitle('Monte Carlo : Loi Log Uniforme')
histplot(nbin,mc(:,5),normalization=%f)



subplot(3,5,6), xtitle('LHS : Loi Normale')
histplot(nbin,lhs(:,1),normalization=%f)
subplot(3,5,7), xtitle('LHS : Loi Uniforme')
histplot(nbin,lhs(:,2),normalization=%f)
subplot(3,5,8), xtitle('LHS : Loi Exponentielle')
histplot(nbin,lhs(:,3),normalization=%f)
subplot(3,5,9), xtitle('LHS : Loi Log Normale')
histplot(nbin,lhs(:,4),normalization=%f)
subplot(3,5,10), xtitle('LHS : Loi Log Uniforme')
histplot(nbin,lhs(:,5),normalization=%f)

subplot(3,5,11), xtitle('QMC : Loi Normale')
histplot(nbin,lhs(:,1),normalization=%f)
subplot(3,5,12), xtitle('QMC : Loi Uniforme')
histplot(nbin,lhs(:,2),normalization=%f)
subplot(3,5,13), xtitle('QMC : Loi Exponentielle')
histplot(nbin,lhs(:,3),normalization=%f)
subplot(3,5,14), xtitle('QMC : Loi Log Normale')
histplot(nbin,lhs(:,4),normalization=%f)
subplot(3,5,15), xtitle('QMC : Loi Log Uniforme')
histplot(nbin,lhs(:,5),normalization=%f)
