// 2009 - INRIA - Michael Baudin
#include <iostream>
#include <sstream>
#include <fstream>
#include <string>
#include <cstdlib>

using namespace std;

#include "nisp_conf.h"
#include "nisp_msg.h"

void nisp_msgsetfunction ( void (* f)(char * message) ) {
	nisp_messagefunction = f;
}

void nisp_errorsetfunction ( void (* f)(char * message) ) {
	nisp_errorfunction = f;
}

void nisp_verboselevelset ( int newlevel) {
	if (newlevel == 0) {
		nisp_verboselevel = 0;
	}
	else if (newlevel == 1)
	{
		nisp_verboselevel = 1;
	}
	else
	{
		ostringstream msg;
		msg << "NISP - ERROR" << endl;
		msg << "Unknown verbose level " << newlevel << endl;
		nisp_error ( msg.str() );
	}
}

int nisp_verboselevelget () {
	return nisp_verboselevel;
}

void nisp_initseed ( int seed ) {
  srand(seed);
}

