// Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
// Copyright (C) 2008 - INRIA   - Michael Baudin
// Copyright (C) 2009 - DIGITEO - Pierre MARECHAL
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt


fortran_dir = get_absolute_file_path("builder_fortran.sce");
flag        = "f";
linknames   = ["nisp_f"];
files       = ["calerf_f.f"];
ldflags     = "";
libs        = [];

if MSDOS then
  include1 = "..\includes";
  cflags   = "-DWIN32 -DLIBNISP_EXPORTS -I"""+include1+"""";
else
  include1 = fortran_dir;
  include2 = fortran_dir+"/../../includes";
  cflags   = "-I"""+include1+""" -I"""+include2+"""";
end

tbx_build_src(linknames, files, flag, fortran_dir, libs, ldflags, cflags);

clear fortran_dir flag linknames files ldflags tbx_build_src libs;
