#include "Riostream.h"
#include "TFile.h"
#include "TH1.h"

// Lancer histo avec les fichiers suivants
// ../LHS.dat, ../MC.dat et QMC.dat
void histo(const Char_t* fdata) {
  ifstream in;
  in.open(fdata,ios::in);
  Char_t poubelle[50];

  Int_t nx;

  // Lecture de l'entete
  for(Int_t i=0;i<4;i++) in >> poubelle;
  for(Int_t i=0;i<4;i++) in >> poubelle;
  for(Int_t i=0;i<3;i++) in >> poubelle; in >> nx;
  for(Int_t i=0;i<4;i++) in >> poubelle;
  for(Int_t i=0;i<nx;i++) for(Int_t j=0;j<6;j++) in >> poubelle;

  Double_t * x = new Double_t [nx];
  TString xname ="";
  for(Int_t i=0;i<nx-1;i++)    xname += Form("X%d:", i+1);
  xname += Form("X%d", nx);
  TNtupleD *ntd = new TNtupleD("ntdata",  "mon titre", xname);
  while(in.good()) {
    for(Int_t i=0;i<nx;i++) in >> x[i]; in >> poubelle; // poids
    if(in.good()) ntd->Fill(x);
  }
  in.close();
  ntd->StartViewer();
}
