// 2009 - INRIA - Michael Baudin
#ifndef _NISP_CALERF_H_
#define _NISP_CALERF_H_

#define _USE_MATH_DEFINES
#include "math.h"

#ifdef _MSC_VER
	#if LIBNISP_EXPORTS 
		#define NISP_IMPORTEXPORT __declspec (dllexport)
	#else
		#define NISP_IMPORTEXPORT __declspec (dllimport)
	#endif
#else
	#define NISP_IMPORTEXPORT
#endif

#ifdef __cplusplus
extern "C" {
#endif 

#define C2F(name) name##_
#define F2C(name) name##_

//
// calerf --
//   Returns the error function.
//
NISP_IMPORTEXPORT double calerf (double x);

//
// calerfc --
//   Returns the complementary error function.
//
NISP_IMPORTEXPORT double calerfc (double x);

#ifdef __cplusplus
}
#endif 

#endif  /* _NISP_CALERF_H_ */

