// 2009 - INRIA - Michael Baudin
#ifndef _NISP_UTIL_H_
#define _NISP_UTIL_H_

#include "nisp_gva.h"

int nisp_calculP ( int,int);
int nisp_puissance2 ( int);
void nisp_readtarget2 ( double **target, int np, int ny, char *fichier);
double nisp_normale ( double,double);
double nisp_lognormale ( double,double);
double nisp_uniforme ( double,double);
double nisp_loguniforme ( double,double);
double nisp_exponentielle ( double,double);
void nisp_coefficientsregression ( double **beta, double *Z, double **y, int p, int np, int ny);
double nisp_pdfChange ( RandomVariable *fils, double z);
double nisp_pdfChange ( RandomVariable *fils, RandomVariable *mere, double x);

void nisp_montecarlo ( SetRandomVariable *gva, int np);
void nisp_lhs ( SetRandomVariable *gva, int np);
void nisp_qmcsobol ( SetRandomVariable *gva, int np);
void nisp_lhsmaxmin ( SetRandomVariable *gva, int np, int ne);
void nisp_quadrature ( SetRandomVariable *gva, int degre);
void nisp_petras ( SetRandomVariable *gva, int degre);

#endif /* _NISP_UTIL_H_ */

